var _excluded = ["render"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useContext } from 'react';
import { StyledTodayMarker } from './partials/StyledTodayMarker';
import { StyledTodayMarkerWrapper } from './partials/StyledTodayMarkerWrapper';
import { TimelineContext } from './context';
import { useTimelinePosition } from './hooks';
function renderDefault(_ref) {
  var offset = _ref.offset;
  return /*#__PURE__*/React.createElement(StyledTodayMarker, {
    $leftPx: offset
  });
}
export var TimelineTodayMarker = function TimelineTodayMarker(_ref2) {
  var render = _ref2.render,
    rest = _objectWithoutProperties(_ref2, _excluded);
  var _useContext = useContext(TimelineContext),
    today = _useContext.state.today;
  var _useTimelinePosition = useTimelinePosition(today),
    offset = _useTimelinePosition.offset,
    startsBeforeStart = _useTimelinePosition.startsBeforeStart,
    startsAfterEnd = _useTimelinePosition.startsAfterEnd;
  if (startsBeforeStart || startsAfterEnd) {
    return null;
  }
  return /*#__PURE__*/React.createElement(StyledTodayMarkerWrapper, _extends({
    role: "presentation"
  }, rest), render ? render({
    today: today,
    offset: offset
  }) : renderDefault({
    offset: offset
  }));
};
TimelineTodayMarker.displayName = 'TimelineTodayMarker';